Cyberduck Mountain Duck CLI

#1775 closed defect (fixed)

Directory names begin with space in browser window - directories cannot be accessed

Reported by: jgrisley47577@… Owned by: dkocher
Priority: high Milestone: 3.8
Component: ftp Version: 3.0.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

When a directory has subdirectories with mixed date/time date/year values in the last modified date column, the directories which have a date/time are accessible; the directories which have date/year begin with a space in the browser window and will fail when accessed. Here is the log window listing for a directory:

drwxrwxrwx   2 sigma    staff         12800 Feb 14 11:09 bsc
drwxrwxrwx   2 sigma    staff          7680 Jun 12 2004  bsc03
drwxrwxrwx   2 sigma    staff          5120 Jun 12 2004  bsc80
drwxr-xr-x   2 guest    usr             512 Jun 12 2004  guest
drwxr-xr-x   2 sigma    staff           512 Jun 12 2004  invscout
drwxrwx---   2 sigma    staff           512 Jun 12 2004  iq
drwx------   2 sigma    staff           512 Jun 11 2004  lost+found
drwxrwxrwx   2 sigma    staff           512 Jun 12 2004  mail
drwxrwx---  10 sigma    staff         36864 Feb 14 11:03 mi
drwxrwxrwx   2 sigma    staff           512 Jun 12 2004  servdir
drwxrwxrwx   4 sigma    staff           512 Jun 12 2004  sm
drwxrwxrwx   2 sigma    staff           512 Jun 12 2004  temp
drwxrwxrwx   2 transfer special         512 Jun 12 2004  transfer
drwxrwxrwx 537 sigma    staff          9728 Feb 05 08:22 users
drwxrwx---   7 sigma    staff           512 Jun 12 2004  vertex

Double clicking on the browser window entry for servdir (which shows an initial space character in the browser window) gives this result in the log:

CWD /home/ servdir
550 /home/ servdir: A file or directory in the path name does not exist.

The 'mi' and 'users' directories can be accessed and do not show an initial space in the browser window.

Change History (14)

comment:1 Changed on Feb 14, 2008 at 6:37:04 PM by dkocher

  • Component changed from core to ftp
  • Resolution set to worksforme
  • Status changed from new to closed

See #1381. The option described there is enabled by default in the current release Version 2.8.4 (3470).

comment:2 Changed on Feb 15, 2008 at 2:33:27 PM by jgrisley47577@…

Thanks for the reference. For the record the command needed to overcome the symptom is this

defaults write ch.sudo.cyberduck ftp.parser.whitespaceAware false

in a Terminal.app window. This changes the operation of Cyberduck only for the current user.

comment:3 Changed on Feb 25, 2008 at 9:57:06 PM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

comment:4 Changed on May 21, 2008 at 3:35:31 PM by rudo.ba@…

  • Priority changed from normal to high
  • Version changed from 2.8.4 to 3.0.1

This problem appear only on some type of servers, like AIX (may be Solaris too). Try e.g. on ftp.software.ibm.com - Cyberduck can’t work with items with 0:00 modified time (with others is no problem), because add redundand space in front of item’s name. On linux server i have no problem to work with such items (with 0:00). May be problem is with parsing information from some type of servers.

Last edited on Aug 24, 2010 at 6:17:44 AM by dkocher (previous) (diff)

comment:5 Changed on May 21, 2008 at 7:37:32 PM by dkocher

  • Milestone set to 3.1

comment:6 Changed on Jun 29, 2008 at 11:50:07 AM by dkocher

#2260 closed as duplicate.

comment:7 Changed on Jul 16, 2008 at 9:55:18 PM by dkocher

  • Milestone 3.0.2 deleted

comment:9 Changed on Oct 6, 2008 at 10:43:26 AM by dkocher

  • Milestone changed from 3.0.3 to 3.1

comment:10 Changed on Jan 15, 2009 at 9:07:44 AM by dkocher

#2895 closed as duplicate.

comment:11 Changed on Jan 15, 2009 at 9:08:01 AM by dkocher

#2770 closed as duplicate.

comment:12 Changed on Apr 13, 2009 at 2:31:27 PM by dkocher

  • Milestone changed from 3.2 to 3.3

Milestone 3.2 deleted

comment:12 Changed on Apr 20, 2009 at 4:36:54 PM by dkocher

#2961 closed as duplicate.

comment:13 Changed on Jan 15, 2010 at 5:41:40 PM by dkocher

#4092 closed as duplicate.

comment:14 Changed on Nov 28, 2010 at 8:37:41 PM by dkocher

  • Milestone set to 4.0
  • Resolution set to fixed
  • Status changed from reopened to closed

In r7794.

Note: See TracTickets for help on using tickets.
swiss made software